All operations
SALESQUOTE
Retrieves the list of documents associated with the specified sales quote.
Returns a 200 OK response with the list of documents if found. Returns 400 Bad Request if the request is invalid, or 500 Internal Server Error if an unexpected error occurs.
GET
/api/v2/sales-quote/{salesQuoteId}/documentsAuthentication
Choose one supported method for this request.
Parameters
salesQuoteIdpathinteger · int32requiredThe unique identifier of the sales quote for which to retrieve documents.
Responses
OK
Standard response envelope
isSuccessmessageerrorsdataRead the result from data. When isSuccess is false, errors lists what went wrong. Handling errors
An array. Each item is a SalesQuoteDocumentDto:
assignedIdinteger · int32salesQuoteIdinteger · int32equipmentIdinteger · int32recordTypestringrecordIdinteger · int32templateIdinteger · int32descriptionstringcommentsstringabsoluteUristringfileNamestringcontentTypestringenteredstring · date-timenullablelastModifiedstring · date-timenullableequipmentDescriptionstringunitIdentifierstring